Subject: bug#36034: [PATCH] Zsh extended_history shows up in comint input ring

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 10 Aug 2020 13:11:32 +0200

Matthew Bauer <[email-masked]> writes:

> Adds handling of the Zsh extended_history to comint.el input
> ring. This means that the timestamp doesn’t show up when reading
> through history from other shells. The lines look like this:
>
> : <beginning time>:<elapsed seconds>;<command>

Thanks; I applied your patch (with some changes -- I replaced a couple
of re-search-forwards that didn't seem to do much more than (goto
(match-end 0))).

Please check that I didn't mess something up when doing that fix.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no